org.keycloak.models

## Class CibaConfig

- java.lang.Object
- - org.keycloak.models.AbstractConfig
  - - org.keycloak.models.CibaConfig

- All Implemented Interfaces:
    Serializable

      public class CibaConfig
      extends AbstractConfig

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CIBA_AUTH_REQUESTED_USER_HINT`
    `static String` | `CIBA_BACKCHANNEL_AUTH_REQUEST_SIGNING_ALG`
    `static String` | `CIBA_BACKCHANNEL_CLIENT_NOTIFICATION_ENDPOINT`
    `static String` | `CIBA_BACKCHANNEL_TOKEN_DELIVERY_MODE`
    `static String` | `CIBA_BACKCHANNEL_TOKEN_DELIVERY_MODE_PER_CLIENT`
    `static String` | `CIBA_EXPIRES_IN`
    `static String` | `CIBA_INTERVAL`
    `static String` | `CIBA_PING_MODE`
    `static String` | `CIBA_POLL_MODE`
    `static String` | `CIBA_PUSH_MODE`
    `static List<String>` | `CIBA_SUPPORTED_MODES`
    `static String` | `DEFAULT_CIBA_POLICY_AUTH_REQUESTED_USER_HINT`
    `static int` | `DEFAULT_CIBA_POLICY_EXPIRES_IN`
    `static int` | `DEFAULT_CIBA_POLICY_INTERVAL`
    `static String` | `DEFAULT_CIBA_POLICY_TOKEN_DELIVERY_MODE`
    `static String` | `OIDC_CIBA_GRANT_ENABLED`

    - ### Fields inherited from class org.keycloak.models.AbstractConfig

      `realm, realmForWrite`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CibaConfig(RealmModel realm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthRequestedUserHint()`
    `Algorithm` | `getBackchannelAuthRequestSigningAlg(ClientModel client)`
    `String` | `getBackchannelClientNotificationEndpoint(ClientModel client)`
    `String` | `getBackchannelTokenDeliveryMode()`
    `String` | `getBackchannelTokenDeliveryMode(ClientModel client)`
    `int` | `getExpiresIn()`
    `int` | `getPoolingInterval()`
    `boolean` | `isOIDCCIBAGrantEnabled(ClientModel client)`
    `void` | `setAuthRequestedUserHint(String hint)`
    `void` | `setBackchannelTokenDeliveryMode(String mode)`
    `void` | `setExpiresIn(Integer expiresIn)`
    `void` | `setExpiresIn(String expiresIn)`
    `void` | `setPoolingInterval(Integer interval)`
    `void` | `setPoolingInterval(String poolingInterval)`

    - ### Methods inherited from class org.keycloak.models.AbstractConfig

      `persistRealmAttribute, persistRealmAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CIBA_POLL_MODE

          public static final String CIBA_POLL_MODE

      See Also:
        Constant Field Values

    - #### CIBA_PING_MODE

          public static final String CIBA_PING_MODE

      See Also:
        Constant Field Values

    - #### CIBA_PUSH_MODE

          public static final String CIBA_PUSH_MODE

      See Also:
        Constant Field Values

    - #### CIBA_SUPPORTED_MODES

          public static final List<String> CIBA_SUPPORTED_MODES

    - #### CIBA_BACKCHANNEL_TOKEN_DELIVERY_MODE

          public static final String CIBA_BACKCHANNEL_TOKEN_DELIVERY_MODE

      See Also:
        Constant Field Values

    - #### CIBA_EXPIRES_IN

          public static final String CIBA_EXPIRES_IN

      See Also:
        Constant Field Values

    - #### CIBA_INTERVAL

          public static final String CIBA_INTERVAL

      See Also:
        Constant Field Values

    - #### CIBA_AUTH_REQUESTED_USER_HINT

          public static final String CIBA_AUTH_REQUESTED_USER_HINT

      See Also:
        Constant Field Values

    - #### DEFAULT_CIBA_POLICY_TOKEN_DELIVERY_MODE

          public static final String DEFAULT_CIBA_POLICY_TOKEN_DELIVERY_MODE

      See Also:
        Constant Field Values

    - #### DEFAULT_CIBA_POLICY_EXPIRES_IN

          public static final int DEFAULT_CIBA_POLICY_EXPIRES_IN

      See Also:
        Constant Field Values

    - #### DEFAULT_CIBA_POLICY_INTERVAL

          public static final int DEFAULT_CIBA_POLICY_INTERVAL

      See Also:
        Constant Field Values

    - #### DEFAULT_CIBA_POLICY_AUTH_REQUESTED_USER_HINT

          public static final String DEFAULT_CIBA_POLICY_AUTH_REQUESTED_USER_HINT

      See Also:
        Constant Field Values

    - #### OIDC_CIBA_GRANT_ENABLED

          public static final String OIDC_CIBA_GRANT_ENABLED

      See Also:
        Constant Field Values

    - #### CIBA_BACKCHANNEL_TOKEN_DELIVERY_MODE_PER_CLIENT

          public static final String CIBA_BACKCHANNEL_TOKEN_DELIVERY_MODE_PER_CLIENT

      See Also:
        Constant Field Values

    - #### CIBA_BACKCHANNEL_CLIENT_NOTIFICATION_ENDPOINT

          public static final String CIBA_BACKCHANNEL_CLIENT_NOTIFICATION_ENDPOINT

      See Also:
        Constant Field Values

    - #### CIBA_BACKCHANNEL_AUTH_REQUEST_SIGNING_ALG

          public static final String CIBA_BACKCHANNEL_AUTH_REQUEST_SIGNING_ALG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CibaConfig

          public CibaConfig(RealmModel realm)

  - ### Method Detail

    - #### getBackchannelTokenDeliveryMode

          public String getBackchannelTokenDeliveryMode(ClientModel client)

    - #### getBackchannelTokenDeliveryMode

          public String getBackchannelTokenDeliveryMode()

    - #### setBackchannelTokenDeliveryMode

          public void setBackchannelTokenDeliveryMode(String mode)

    - #### getExpiresIn

          public int getExpiresIn()

    - #### setExpiresIn

          public void setExpiresIn(String expiresIn)

    - #### setExpiresIn

          public void setExpiresIn(Integer expiresIn)

    - #### getPoolingInterval

          public int getPoolingInterval()

    - #### setPoolingInterval

          public void setPoolingInterval(String poolingInterval)

    - #### setPoolingInterval

          public void setPoolingInterval(Integer interval)

    - #### getAuthRequestedUserHint

          public String getAuthRequestedUserHint()

    - #### setAuthRequestedUserHint

          public void setAuthRequestedUserHint(String hint)

    - #### isOIDCCIBAGrantEnabled

          public boolean isOIDCCIBAGrantEnabled(ClientModel client)

    - #### getBackchannelAuthRequestSigningAlg

          public Algorithm getBackchannelAuthRequestSigningAlg(ClientModel client)

    - #### getBackchannelClientNotificationEndpoint

          public String getBackchannelClientNotificationEndpoint(ClientModel client)

Copyright © 2021 JBoss by Red Hat. All rights reserved.